Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs | Functions
newhope.cpp File Reference
`#include <botan/newhope.h>`
`#include <botan/hash.h>`
`#include <botan/rng.h>`
`#include <botan/stream_cipher.h>`
`#include <botan/loadstor.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Typedefs
typedef newhope_poly | Botan::poly

## Functions
void | Botan::newhope_keygen (uint8_t *send, poly *sk, RandomNumberGenerator &rng, Newhope_Mode mode)
void | Botan::newhope_shareda (uint8_t sharedkey[], const poly *sk, const uint8_t received[], Newhope_Mode mode)
void | Botan::newhope_sharedb (uint8_t *sharedkey, uint8_t *send, const uint8_t *received, RandomNumberGenerator &rng, Newhope_Mode mode)